package org.fouram.dto.input;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class UploadModifyEmpDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	private String cardId;
	private Integer cardType;
	private String entryDate;
	private String jobNumber;
	private String phone;
	private String resignDate;
	private Integer type;
	private String username;
}
