package org.fouram.entity;

import java.io.Serializable;
import java.util.List;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value="SysMenu")
public class SysMenu implements Serializable {

	private static final long serialVersionUID = 1L;
	private String id;
	private String name;
	private String description;
	private String url;
	private String key;
	private String parentId;
	private String orderBy;
	private List<SysMenu> subMenu;
	@Builder.Default
	private boolean hasMenu = false;
}