package org.fouram.enums;

public enum CardTypeEnum {

	ID_CARD("ResidentIdCard", "身份证号"), HK_ID_CARD("HKID1", "香港身份证号");

	private final String code;
	private final String desc;

	CardTypeEnum(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	public String getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}
}