package org.fouram.entity;

import java.io.Serializable;
import java.util.Date;

import org.apache.ibatis.type.Alias;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapMessageUser")
public class SapMessageUser implements Serializable {
	private static final long serialVersionUID = 1L;

	private Long id;
	
	private String userId;
	
	private String name;
	
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createDate;
}
